import type { SchemaTemplate, CredentialDefinitionTemplate } from './services';
import type { CredDefId, Did, NymRole, SchemaId } from 'indy-sdk';
import { Wallet } from '../../wallet/Wallet';
import { LedgerService } from './services';
export declare class LedgerModule {
    private ledgerService;
    private wallet;
    constructor(wallet: Wallet, ledgerService: LedgerService);
    registerPublicDid(did: Did, verkey: string, alias: string, role?: NymRole): Promise<string>;
    getPublicDid(did: Did): Promise<import("indy-sdk").GetNymResponse>;
    registerSchema(schema: SchemaTemplate): Promise<import("indy-sdk").Schema>;
    getSchema(id: SchemaId): Promise<import("indy-sdk").Schema>;
    registerCredentialDefinition(credentialDefinitionTemplate: CredentialDefinitionTemplate): Promise<import("indy-sdk").CredDef>;
    getCredentialDefinition(id: CredDefId): Promise<import("indy-sdk").CredDef>;
}
